Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Fedora Packaging (http://www.linux-archive.org/fedora-packaging/)
-   -   Obsoletes and Provides (http://www.linux-archive.org/fedora-packaging/682201-obsoletes-provides.html)

Emmanuel Seyman 07-10-2012 10:20 PM

Obsoletes and Provides
 
Hey, folks.

I maintain the package perl-JSON-RPC which I had split in 3 parts:

* perl-JSON-RPC
* perl-JSON-RPC-legacy
* perl-JSON-RPC-legacy-server

A bug report convinced me this was the wrong way to do it so I split it again,
this time in 4 parts:

* perl-JSON-RPC
* perl-JSON-RPC-Apache2
* perl-JSON-RPC-CGI
* perl-JSON-RPC-Daemon

I believed I had put in the correct Obsoletes and Provides but when I update
from updates-testing, I end up with this installed on my system:

* perl-JSON-RPC-legacy-server-1.01-2.fc17.noarch
* perl-JSON-RPC-Apache2-1.03-1.fc17.noarch
* perl-JSON-RPC-legacy-1.01-2.fc17.noarch
* perl-JSON-RPC-CGI-1.03-1.fc17.noarch
* perl-JSON-RPC-Common-0.06-8.fc17.noarch
* perl-JSON-RPC-Daemon-1.03-1.fc17.noarch
* perl-JSON-RPC-1.03-1.fc17.noarch

The build is here: http://koji.fedoraproject.org/koji/buildinfo?buildID=328530
If anyone could tell me what I'm doing wrong, it would be appreciated.

Emmanuel
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging

Michael Schwendt 07-11-2012 09:29 AM

Obsoletes and Provides
 
On Wed, 11 Jul 2012 00:20:40 +0200, Emmanuel Seyman wrote:

>
> Hey, folks.
>
> I maintain the package perl-JSON-RPC which I had split in 3 parts:
>
> * perl-JSON-RPC
> * perl-JSON-RPC-legacy
> * perl-JSON-RPC-legacy-server
>
> A bug report convinced me this was the wrong way to do it so I split it again,
> this time in 4 parts:
>
> * perl-JSON-RPC
> * perl-JSON-RPC-Apache2
> * perl-JSON-RPC-CGI
> * perl-JSON-RPC-Daemon
>
> I believed I had put in the correct Obsoletes and Provides but when I update
> from updates-testing, I end up with this installed on my system:
>
> * perl-JSON-RPC-legacy-server-1.01-2.fc17.noarch
> * perl-JSON-RPC-Apache2-1.03-1.fc17.noarch
> * perl-JSON-RPC-legacy-1.01-2.fc17.noarch
> * perl-JSON-RPC-CGI-1.03-1.fc17.noarch
> * perl-JSON-RPC-Common-0.06-8.fc17.noarch
> * perl-JSON-RPC-Daemon-1.03-1.fc17.noarch
> * perl-JSON-RPC-1.03-1.fc17.noarch
>
> The build is here: http://koji.fedoraproject.org/koji/buildinfo?buildID=328530
> If anyone could tell me what I'm doing wrong, it would be appreciated.

Probably a systematic error in your Obsoletes. I only checked:

http://koji.fedoraproject.org/koji/rpminfo?rpmID=3180999
perl-JSON-RPC-Daemon-1.03-1.fc17.noarch.rpm

Obsoletes perl-JSON-RPC-legacy-server < 1.0.3

Notice the extra dot in that version which is wrong.
The previous version was 1.01, which is higher than 1.0.3:

$ rpmdev-vercmp 1.01 1.0.3
1.01 > 1.0.3

--
Fedora release 17 (Beefy Miracle) - Linux 3.4.4-5.fc17.x86_64
loadavg: 0.40 0.42 0.44
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging

Emmanuel Seyman 07-11-2012 09:26 PM

Obsoletes and Provides
 
* Michael Schwendt [11/07/2012 13:50] :

> Obsoletes perl-JSON-RPC-legacy-server < 1.0.3
>
> Notice the extra dot in that version which is wrong.
> The previous version was 1.01, which is higher than 1.0.3:

Yeah, that's the mistake I couldn't see.
Thank you, Michael. Updates have been issued.

Emmanuel
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging


All times are GMT. The time now is 09:51 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.